GETUID(2)

NAME
getuid, geteuid - get user identity

SYNOPSIS
uid = getuid()
int uid;

euid = geteuid()
int euid;

DESCRIPTION
Getuid returns the real user ID of the current process, geteuid the effective user ID.

Getuid returns the effective ID of the process that invoked it. The effective user ID gives the process additional permissions during execution of “set-user-ID” mode processes.

SEE ALSO
getgid(2), setreuid(2)